Listar as provas de um documento
curl --request GET \
--url https://api.stage.localpayment.com/api/entity/v1/documents/{docId}/proofs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.stage.localpayment.com/api/entity/v1/documents/{docId}/proofs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.stage.localpayment.com/api/entity/v1/documents/{docId}/proofs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stage.localpayment.com/api/entity/v1/documents/{docId}/proofs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.stage.localpayment.com/api/entity/v1/documents/{docId}/proofs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.stage.localpayment.com/api/entity/v1/documents/{docId}/proofs")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.stage.localpayment.com/api/entity/v1/documents/{docId}/proofs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": "2c4c2f74-7179-4113-83fb-f11dbce9e07d",
"documentId": "2e16d844-4fa9-4295-9a21-83ec32ef241a",
"proofType": "FRONT",
"fileName": "id_front.jpg",
"mimeType": "image/jpeg",
"sizeBytes": 102400,
"verificationStatus": "PENDING",
"verifiedBy": null,
"verifiedAt": null,
"verificationReason": null,
"uploadedBy": "12345",
"uploadedAt": "2024-01-15T17:03:13Z",
"status": "CURRENT",
"supersededAt": null,
"supersededBy": null,
"replacedByProofId": null,
"deletedAt": null,
"deletedBy": null,
"inVerification": false
}
]{
"type": "about:blank",
"title": "Unauthorized",
"status": 401,
"detail": "Missing or invalid access token.",
"instance": "/api/entity/v1/documents/e0ea9515-442e-4bc5-bc82-b8d278255c37/proofs",
"code": "UNAUTHORIZED",
"correlationId": "0e8f6a2c-5b3d-4c1e-9a7f-6d5e4c3b2a10",
"details": []
}{
"type": "about:blank",
"title": "Not found",
"status": 404,
"detail": "The document does not exist, was deleted, or belongs to another merchant.",
"instance": "/api/entity/v1/documents/e0ea9515-442e-4bc5-bc82-b8d278255c37/proofs",
"code": "DOCUMENT_NOT_FOUND",
"correlationId": "0e8f6a2c-5b3d-4c1e-9a7f-6d5e4c3b2a10",
"details": []
}Comprovantes
Listar as provas de um documento
GET
/
api
/
entity
/
v1
/
documents
/
{docId}
/
proofs
Listar as provas de um documento
curl --request GET \
--url https://api.stage.localpayment.com/api/entity/v1/documents/{docId}/proofs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.stage.localpayment.com/api/entity/v1/documents/{docId}/proofs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.stage.localpayment.com/api/entity/v1/documents/{docId}/proofs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stage.localpayment.com/api/entity/v1/documents/{docId}/proofs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.stage.localpayment.com/api/entity/v1/documents/{docId}/proofs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.stage.localpayment.com/api/entity/v1/documents/{docId}/proofs")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.stage.localpayment.com/api/entity/v1/documents/{docId}/proofs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": "2c4c2f74-7179-4113-83fb-f11dbce9e07d",
"documentId": "2e16d844-4fa9-4295-9a21-83ec32ef241a",
"proofType": "FRONT",
"fileName": "id_front.jpg",
"mimeType": "image/jpeg",
"sizeBytes": 102400,
"verificationStatus": "PENDING",
"verifiedBy": null,
"verifiedAt": null,
"verificationReason": null,
"uploadedBy": "12345",
"uploadedAt": "2024-01-15T17:03:13Z",
"status": "CURRENT",
"supersededAt": null,
"supersededBy": null,
"replacedByProofId": null,
"deletedAt": null,
"deletedBy": null,
"inVerification": false
}
]{
"type": "about:blank",
"title": "Unauthorized",
"status": 401,
"detail": "Missing or invalid access token.",
"instance": "/api/entity/v1/documents/e0ea9515-442e-4bc5-bc82-b8d278255c37/proofs",
"code": "UNAUTHORIZED",
"correlationId": "0e8f6a2c-5b3d-4c1e-9a7f-6d5e4c3b2a10",
"details": []
}{
"type": "about:blank",
"title": "Not found",
"status": 404,
"detail": "The document does not exist, was deleted, or belongs to another merchant.",
"instance": "/api/entity/v1/documents/e0ea9515-442e-4bc5-bc82-b8d278255c37/proofs",
"code": "DOCUMENT_NOT_FOUND",
"correlationId": "0e8f6a2c-5b3d-4c1e-9a7f-6d5e4c3b2a10",
"details": []
}Lista as provas atuais de um documento (arquivos substituídos e excluídos não são incluídos).
Os erros usam
application/problem+json com um code estável. Catálogo completo: Entity Statuses and Error Codes.Autorizações
Cabeçalhos
Token de acesso Bearer para autenticação. Este token é obtido nos endpoints Obter token de acesso ou Renovar token de acesso. Sua conta de comerciante e o usuário que realiza a ação são identificados a partir dele.
Exemplo:
"Bearer <your_access_token>"
Parâmetros de caminho
Resposta
OK.
Última modificação em 10 de novembro de 2026

